RubyGems Navigation menu

pennyworth-tool 0.2.0

Pennyworth is a tool for running integration tests inside a network of virtual machines. It allows to define virtual machines, build them as Vagrant boxes and run them using libvirt and kvm in coordinated fashion in order to run the tests. These tests can be written in any language/framework, but the preferred combination is Ruby/RSpec, for which helpers are provided.

Versions:

  1. 0.2.0 - June 22, 2015 (60.5 KB)
  2. 0.1.0 - May 28, 2015 (58.5 KB)
  3. 0.0.1 - May 27, 2015 (56.5 KB)

Runtime Dependencies (5):

  • cheetah ~> 0.4
  • colorize ~> 0.7
  • gli ~> 2.11
  • nokogiri ~> 1.6
  • ruby-libvirt ~> 0.4
  • Development Dependencies (2):

  • rake >= 0
  • ronn >= 0.7.3
  • Owners:

    Authors:

    • SUSE

    SHA 256 checksum:

    07c28f0d6f300ad330951dea64f2cf018e911d61edc45c950d561d8ca349e498

    Total downloads 5,894

    For this version 2,446

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    GPL-3.0

    Required Ruby Version: >= 2.0.0

    Required Rubygems Version: >= 1.3.6

    Links: